Subject: bug#27608: closed (Re: bug#27608: 26.0.50; ede-proj-elisp-add-path)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Aug 2020 17:10:03 +0000

Your bug report

#27608: 26.0.50; ede-proj-elisp-add-path

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27608: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27608
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27608: 26.0.50; ede-proj-elisp-add-path
From: Stefan Kangas <[email-masked]>
To: Pierre Lorenzon <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Aug 2020 10:09:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Lorenzon <[email-masked]> writes:

> I think that the most reasonnable answer is : update automake
> to 1.15. elisp-comp will simply disappear (this was reported in
> a previous emacs bug report). All problems due to elisp-comp
> will disappear as well except a warning signaling that is does
> not exist : but do not care about that ! .el file will compile

If I read this correctly, the issue was resolved by upgrading automake.

I'm therefore closing this bug report now.  If this conclusion is
incorrect, please reply to this email (use "Reply to all" in your email
client) and we can reopen the bug report.

Best regards,
Stefan Kangas

Subject: 26.0.50; ede-proj-elisp-add-path
From: Pierre Lorenzon <[email-masked]>
To: [email-masked]
Date: Fri, 07 Jul 2017 14:30:55 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Produces an error when searching for regexp in
elisp-comp. Searched regexp is not in this file that is
sufficiently small to be manually explored.

Maybe an version incompatiblity but

autoconf --version
autoconf (GNU Autoconf) 2.69
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+/Autoconf: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.

And :

automake --version
automake (GNU automake) 1.12.4
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Tom Tromey <[email-masked]>
       and Alexandre Duret-Lutz <[email-masked]>.

I think that elisp-comp that is automatically installed comes
from one of tese two packages.

Regards

Pierre

In GNU Emacs 26.0.50 (build 1,
x86_64-pc-linux-gnu) of 2017-07-07 built on jabberwocky
Repository revision: 579a9ee22e0decf7bed8aff1751c5b3d147b921f